Bug 92265 - man truncates man-page
Summary: man truncates man-page
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-04 10:38 UTC by Vlado Potisk
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version: 1.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-08 16:37:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vlado Potisk 2003-06-04 10:38:51 UTC
From Bugzilla Helper:

Description of problem:
the man page for the 'cdrecord' command is truncated,
the output stops in the middle of the text.

Version-Release number of selected component (if applicable):
man-1.5k-6

How reproducible:
Always

Steps to Reproduce:
1. man cdrecord | wc -l

Actual Results:  wc reports 756 lines of text and an error message occurs:
iconv: illegal input sequence at position 37354

Expected Results:  The number 1252 is expected, this happens to be
the number of lines in cdrecord man page on my RH9 installation

Additional info:
user root has no problem, so this bug might
be locale-dependent. My $LANG is sk_SK, root's
$LANG is en_US.UTF-8.

Comment 1 Eido Inoue 2003-06-04 20:42:51 UTC
most likely an illegal UTF-8 sequence inside of the man page.

Comment 2 Eido Inoue 2003-08-08 16:37:58 UTC
fixed in 1.58 in rawhide


Note You need to log in before you can comment on or make changes to this bug.